## ros-melodic-robot-calibration-msgs 0.6.4

=== debian/changelog ===
ros-melodic-robot-calibration-msgs (0.6.4-1stretch) stretch; urgency=high

  * update package.xml for noetic (#87 <https://github.com/mikeferguson/robot_calibration/issues/87>)
    orocos-kdl is now a system dependency,
    rosdep key has changed
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 02 Nov 2020 05:00:00 -0000

ros-melodic-robot-calibration-msgs (0.6.3-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 27 Apr 2020 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.6.2-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 14 Jan 2020 05:00:00 -0000

ros-melodic-robot-calibration-msgs (0.6.1-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 19 Nov 2019 05:00:00 -0000

ros-melodic-robot-calibration-msgs (0.6.0-1stretch) stretch; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 09 Jul 2018 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.5.5-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 12 Feb 2018 05:00:00 -0000

ros-melodic-robot-calibration-msgs (0.5.4-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 20 Jan 2018 05:00:00 -0000

ros-melodic-robot-calibration-msgs (0.5.3-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.5.2-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Fri, 03 Jul 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.5.1-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 01 Jul 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.5.0-1stretch) stretch; urgency=high

  * add new CaptureConfig message for setting up samples
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 23 Jun 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.4.1-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 17 Jun 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.4.0-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 07 Jun 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.3.1-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.3.0-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 22 Apr 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.2.2-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 12 Apr 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.2.1-1stretch) stretch; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 05 Apr 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.2.0-1stretch) stretch; urgency=high

  * extend messages to support multiple sensors
  * implement ExtendedCameraInfo
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 16 Mar 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.1.2-1stretch) stretch; urgency=high

  * update cmake/package.xml
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 15 Mar 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.1.1-1stretch) stretch; urgency=high

  * split out messages into separate package
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 05 Mar 2015 05:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-robot-calibration-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-robot-calibration-msgs 0.7.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(robot_calibration_msgs)

find_package(catkin REQUIRED
  COMPONENTS
    actionlib_msgs
    geometry_msgs
    message_generation
    sensor_msgs
    std_msgs
)

add_action_files(
  FILES
    GripperLedCommand.action
)

add_message_files(
  FILES
    CalibrationData.msg
    CameraParameter.msg
    CaptureConfig.msg
    ExtendedCameraInfo.msg
    Observation.msg
)

generate_messages(
  DEPENDENCIES
    actionlib_msgs
    geometry_msgs
    sensor_msgs
    std_msgs
)

catkin_package(
  CATKIN_DEPENDS
    actionlib_msgs
    geometry_msgs
    message_runtime
    sensor_msgs
    std_msgs
)

=== debian/changelog ===
ros-melodic-robot-calibration-msgs (0.7.2-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Fri, 23 Dec 2022 05:00:00 -0000

ros-melodic-robot-calibration-msgs (0.7.1-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 15 Jun 2022 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.7.0-1bionic) bionic; urgency=high

  * bump cmake version to silence warnings on noetic (#107 <https://github.com/mikeferguson/robot_calibration/issues/107>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 20 Apr 2022 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.6.5-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 30 Oct 2021 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.6.4-1bionic) bionic; urgency=high

  * update package.xml for noetic (#87 <https://github.com/mikeferguson/robot_calibration/issues/87>)
    orocos-kdl is now a system dependency,
    rosdep key has changed
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 02 Nov 2020 05:00:00 -0000

ros-melodic-robot-calibration-msgs (0.6.3-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 27 Apr 2020 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.6.2-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 14 Jan 2020 05:00:00 -0000

ros-melodic-robot-calibration-msgs (0.6.1-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 19 Nov 2019 05:00:00 -0000

ros-melodic-robot-calibration-msgs (0.6.0-1bionic) bionic; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 09 Jul 2018 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.5.5-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 12 Feb 2018 05:00:00 -0000

ros-melodic-robot-calibration-msgs (0.5.4-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 20 Jan 2018 05:00:00 -0000

ros-melodic-robot-calibration-msgs (0.5.3-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 18 Jul 2016 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.5.2-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Fri, 03 Jul 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.5.1-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 01 Jul 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.5.0-1bionic) bionic; urgency=high

  * add new CaptureConfig message for setting up samples
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 23 Jun 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.4.1-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 17 Jun 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.4.0-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 07 Jun 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.3.1-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.3.0-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 22 Apr 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.2.2-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 12 Apr 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.2.1-1bionic) bionic; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 05 Apr 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.2.0-1bionic) bionic; urgency=high

  * extend messages to support multiple sensors
  * implement ExtendedCameraInfo
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 16 Mar 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.1.2-1bionic) bionic; urgency=high

  * update cmake/package.xml
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 15 Mar 2015 04:00:00 -0000

ros-melodic-robot-calibration-msgs (0.1.1-1bionic) bionic; urgency=high

  * split out messages into separate package
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 05 Mar 2015 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-robot-calibration-msgs
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://ros.org/wiki/robot_calibration_msgs
Standards-Version: 3.9.2

Package: ros-melodic-robot-calibration-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib-msgs, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: Messages for calibrating a robot

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
